<?php
/**
 * $Id: controller.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class SaxumastroController extends JControllerLegacy
{
	function display($cachable = false, $urlparams=false) 
	{
		// set default view if not set
		JRequest::setVar('view', JRequest::getCmd('view', 'Saxumastro'));
		//$this->addSubmenu('saxumastro'); 
		// call parent behavior
		parent::display($cachable);
	}
	
	static function quickIconButton( $link, $image, $text ) {
		
		$lang	= JFactory::getLanguage();
		$button = '';
		/*if ($lang->isRTL()) {
			$button .= '<div style="float:right;">';
		} else {
			$button .= '<div style="float:left;">';
		}*/
		$button .=	'<div class="thumbnails sax-icon">'
				   .'<a class="thumbnail sax-icon-inside" href="'.$link.'">'
				   .JHtml::_('image',  'administrator/components/com_saxumastro/images/'.$image, $text )
				   .'<br /><span>'.$text.'</span></a>'
				   .'</div>';
		//$button .= '</div>';

		return $button;
	}
		
	public static function addSubmenu($submenu) 
	{
		//$canDo = SaxumastroController::getActions();
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMASTRO_CONTROL_PANEL'), 'index.php?option=com_saxumastro', $submenu == 'controlpanel');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMASTRO_TYPES'), 'index.php?option=com_saxumastro&view=types', $submenu == 'types');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMASTRO_SIGNS'), 'index.php?option=com_saxumastro&view=signs', $submenu == 'signs');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMASTRO_DATES'), 'index.php?option=com_saxumastro&view=dates', $submenu == 'dates');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMASTRO_PAIRINGS'), 'index.php?option=com_saxumastro&view=pairings', $submenu == 'pairings');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMASTRO_SAVED_READINGS'), 'index.php?option=com_saxumastro&view=readings', $submenu == 'readings');
		JHtmlSidebar::addEntry(JText::_('COM_SAXUMASTRO_ABOUT'), 'index.php?option=com_saxumastro&view=about', $submenu == 'about');
	}
	
	/**
	 * Get the actions
	 */
	public static function getActions()
	{	
		jimport('joomla.access.access');
		$user	= JFactory::getUser();
		$result	= new JObject;
 
		$assetName = 'com_saxumastro';
 
		$actions = JAccess::getActions('com_saxumastro', 'component');
 
		foreach ($actions as $action) {
			$result->set($action->name, $user->authorise($action->name, $assetName));
		}
 
		return $result;
	}	
	
	function sendmail()
	{
	    JRequest::checkToken() or jexit( 'Invalid Token' );
		$app	= JFactory::getApplication();	
		$user	= JFactory::getUser();
		$mailer = JFactory::getMailer();
		$rawDataPost = JRequest::get('POST', 2);
		$rawDataGet = JRequest::get('GET', 2);
		$post = array_merge($rawDataGet, $rawDataPost);
		
		$config = JFactory::getConfig();
	    $sender_name =  $config->get( 'fromname' );
	    $sender = array(
		    $config->get( 'mailfrom' ),
		    $sender_name );
		 
		$mailer->setSender($sender);
		
	    $recipient = $post['email'];
	    $mailer->addRecipient($recipient);
	    
	    $body = JRequest::getVar( 'body', '', 'post', 'string', JREQUEST_ALLOWRAW);
	 	$body = base64_decode($body);
	
	 	jimport( 'joomla.mail.helper' );

	    $subject = $sender_name;
	
	    $subject = JMailHelper::cleanSubject($subject);
	    $body = JMailHelper::cleanBody($body);
	
		$mailer->isHTML(true);
		$mailer->Encoding = 'base64';
	    $mailer->setSubject($subject);
		$mailer->setBody($body);
		
		$send = $mailer->Send();
		if ( $send !== true ) {
	        JError::raiseNotice( 500, JText::_('COM_SAXUMASTRO_EMAIL_FAILED'));
	    }
	    else {
	    	JError::raiseNotice( 500, JText::_('COM_SAXUMASTRO_EMAIL_SENT') );
	    }
		
	    $this->display();
	}	
}
?>
