<?php
/**
 * $Id: date.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.modeladmin');

class SaxumastroModelDate extends JModelAdmin
{
	public function getTable($type = 'Date', $prefix = 'SaxumastroTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	public function getForm($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_saxumastro.date', 'date',
		                        array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}  	
	
	public function getFormSelectType($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_saxumastro.date', 'selecttype',
		                        array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}  

	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_saxumastro.edit.date.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		return $data;
	}
	
	static function getType($id)
    {
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		
		$query->select('t.id, t.name AS text, t.signtype');
		$query->from('#__saxumastro_type t');
		$query->join('INNER', '#__saxumastro_sign AS s ON s.typeid=t.id');
		$query->where('s.id = '.$id) ;

		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
    }

	public static function getTypeById($id)
	{
		// Create a new query object.
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('t.*');
		$query->from('#__saxumastro_type AS t');
		$query->where('t.id = '.(int) $id);

		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
	}
}
?>
