<?php
/**
 * $Id: astrocalendar.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/
defined('JPATH_BASE') or die;
jimport('joomla.form.formfield');

class JFormFieldAstroCalendar extends JFormField
{
	public $type = 'AstroCalendar';

	protected function getInput()
	{		
		$params = JComponentHelper::getParams( 'com_saxumastro' );
		// Initialize some field attributes.
		$attr = $this->element['class'] ? ' class="'.(string) $this->element['class'].'"' : '';
		
		$post=JRequest::get( 'post' );	
		if (empty($post)){
			$type = SaxumastroModelDate::gettype($this->form->getValue('signid'));
		} else {
			$type = SaxumastroModelDate::gettypebyid($post['jform']['typeid']);
		}
		$typeid = $type[0]->id;
		
		if ($this->value==null) $this->value='1972-01-01';
		
		// Build the script.
		$script = array();
		$script[] = 'var id;';
		$script[] = 'var year;';
		$script[] = 'var month;';
		$script[] = 'var day;';
		$script[] = 'function monthChange(src) {';
		$script[] = '	id = src+\'_year\';';
		$script[] = '	year = document.getElementById(id);';
		$script[] = '	id = src+\'_month\';';
		$script[] = '	month = document.getElementById(id);';
		$script[] = '	id = src+\'_day\';';
		$script[] = '	day = document.getElementById(id);';
		$script[] = '	id = src;';
		$script[] = '	document.getElementById(id).value=year.value+\'-\'+month.value+\'-\'+day.value;';
		$script[] = '	var d=day.length;';
		$script[] = '	if (day.length >= 28) {';
		$script[] = '		for(var i=0;i<d-28;i++) {';
		$script[] = '			day.remove(day.length-1);';
		$script[] = '		} ';
		$script[] = '	}';
		$script[] = '	var k=0;';
		$script[] = '	if (month.value==2 && year.value%4==0) k=1;';
		$script[] = '	if (month.value==1 || month.value==3 || month.value==5 || month.value==7 || month.value==8 || month.value==10 || month.value==12)	k=3;';
		$script[] = '	if (month.value==4 || month.value==6 || month.value==9 || month.value==11) k=2;';
		$script[] = '	for (var i=0;i<k;++i){';
		$script[] = '	  	var elem = parseInt(day.length)+1;';
		$script[] = '    	var elOptNew = document.createElement(\'option\');';
		$script[] = '  		elOptNew.text = elem;';
		$script[] = '  		elOptNew.value = elem;';
		$script[] = '		try {';
		$script[] = '			day.add(elOptNew, null); // nem IE';
		$script[] = '		} catch(ex) {';
		$script[] = '			day.add(elOptNew); // IE';
		$script[] = '		}';
		$script[] = '	}';
		//$script[] = '	alert(document.getElementById(id).value);';
		$script[] = '}  ';
		$script[] = 'function dayChange(src) {';
		$script[] = '	id = src+\'_year\';';
		$script[] = '	year = document.getElementById(id);';
		$script[] = '	id = src+\'_month\';';
		$script[] = '	month = document.getElementById(id);';
		$script[] = '	id = src+\'_day\';';
		$script[] = '	day = document.getElementById(id);';
		$script[] = '	id = src;';
		$script[] = '	document.getElementById(id).value=year.value+\'-\'+month.value+\'-\'+day.value;';
		//$script[] = '	alert(document.getElementById(id).value);';
		$script[] = '}';
		
		// Add the script to the document head.
		JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));
		
		// get list of Months for dropdown filter		
		$months[] = JHTML::_('select.option', '1', JText::_('JANUARY'));
		$months[] = JHTML::_('select.option', '2', JText::_('FEBRUARY'));
		$months[] = JHTML::_('select.option', '3', JText::_('MARCH'));
		$months[] = JHTML::_('select.option', '4', JText::_('APRIL'));
		$months[] = JHTML::_('select.option', '5', JText::_('MAY'));
		$months[] = JHTML::_('select.option', '6', JText::_('JUNE'));
		$months[] = JHTML::_('select.option', '7', JText::_('JULY'));
		$months[] = JHTML::_('select.option', '8', JText::_('AUGUST'));
		$months[] = JHTML::_('select.option', '9', JText::_('SEPTEMBER'));
		$months[] = JHTML::_('select.option','10', JText::_('OCTOBER'));
		$months[] = JHTML::_('select.option','11', JText::_('NOVEMBER'));
		$months[] = JHTML::_('select.option','12', JText::_('DECEMBER'));
		
		$m=JFactory::getDate($this->value)->format("m");
		$lists['month_from'] = JHTML::_('select.genericlist', $months, $this->id.'_month', 'class="inputbox" size="1" onChange="monthChange(\''.$this->id.'\')"', 'value', 'text', $m );
		if ($m==1 or $m==3 or $m==5 or $m==7 or $m==8 or $m==10 or $m==12) $d=31;
		if ($m==4 or $m==6 or $m==9 or $m==11) $d=30;
		if ($m==2) $d=29;
		$lists['day_from'] = JHTML::_('select.integerlist', 1, $d, 1, $this->id.'_day', 'id="'.$this->id.'_day'.'" class="inputbox" size="1" onChange="dayChange(\''.$this->id.'\')"', date('d',strtotime($this->value)) );
		
		$s=1940;
		if (is_numeric($params->get('start_year'))) $s=$params->get('start_year');
		$e=2020;
		if (is_numeric($params->get('end_year'))) $e=$params->get('end_year');
		
		$lists['year_from'] = JHTML::_('select.integerlist', $s, $e, 1, $this->id.'_year', 'id="'.$this->id.'_year'.'"class="inputbox" size="1" onChange="monthChange(\''.$this->id.'\')"', date('Y',strtotime($this->value)) );
		
		$html[] = '<div>';
		
		if ($type[0]->signtype==1) 
			$html[] = $lists['year_from'];
		else
			$html[] = '<input type="hidden" name="'.$this->id.'_year" id="'.$this->id.'_year" value="1972" />';
		$html[] = $lists['month_from']; 
		$html[] = $lists['day_from'];
		$html[] = '<input type="hidden" name="'.$this->name.'" id="'.$this->id.'" value="'.$this->value.'" />';
			
		$html[] = '</div>';
			
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		// Query items for list.
		$query->select('s.id as value, s.name as text');
		$query->from('#__saxumastro_sign AS s');
		$query->where('s.typeid = '.(int) $typeid);
		$query->order('s.name');

		$db->setQuery($query);
		$rows = $db->loadObjectList();

		return implode("\n", $html);
	}
}