<?php
/**
 * $Id: astrolayout.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/
defined('_JEXEC') or die('Restricted access');
jimport('joomla.form.formfield');

class JFormFieldAstroLayout extends JFormField
{
	protected $type = 'astrolayout';

	public function getInput()
	{		
		// Initialize some field attributes.
		$attr = $this->element['class'] ? ' class="'.(string) $this->element['class'].'"' : '';
		$attr .= $this->element['size'] ? ' size="'.(string) $this->element['size'].'"' : '';
		
		$rows[]=JHTML::_('select.option', 'Default', JText::_('COM_SAXUMASTRO_DEFAULT'));
		
		// Get list of plugins
		$db     = JFactory::getDbo();
		$query  = $db->getQuery(true)
			->select('extension_id as id, element AS value, name AS text')
			->from('#__extensions')
			->where('folder = \'saxumastro\'' )
			->where('enabled = 1')
			->order('ordering, name');
		$db->setQuery($query);

		$options = $db->loadObjectList();
		
		foreach ($options as $r){
			$lang = JFactory::getLanguage();
			$lang->load('plg_saxumastro_'.$r->value,JPATH_ADMINISTRATOR,$lang->getTag(),false,true);
			$rows[]=JHTML::_('select.option', $r->value, JText::_($r->text));
		}
		//$rows=array_merge($rows,$options);

		return JHTML::_('select.genericlist',$rows, $this->name, $attr, 'value', 'text', $this->value);
	}
}