<?php
/**
 * $Id: sign.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.modeladmin');

class SaxumastroModelSign extends JModelAdmin
{
	public function getTable($type = 'Sign', $prefix = 'SaxumastroTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	public function getForm($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_saxumastro.sign', 'sign',
		                        array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}  

	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_saxumastro.edit.sign.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		return $data;
	}

	static function getDates($signid)
    {
		$db = jFactory::getDBO();
		$query = $db->getQuery(true);
		
		$query->select('d.*');
		$query->from('#__saxumastro_dates d');
		
		$query->select('t.signtype');
		$query->join('INNER', '#__saxumastro_sign AS s ON s.id=d.signid');
		$query->join('INNER', '#__saxumastro_type AS t ON s.typeid=t.id');
		$query->where('d.signid='.(int)$signid);
		$query->order('d.date_from');

		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
    }
}
?>
