<?php
/**
 * $Id: type.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.modeladmin');

class SaxumastroModelType extends JModelAdmin
{
	public function getTable($type = 'Type', $prefix = 'SaxumastroTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	public function getForm($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_saxumastro.type', 'type',
		                        array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		return $form;
	}  
	
	public function getItem($pk = null)
	{
		if ($item = parent::getItem($pk))
		{
			// Convert the metadata field to an array.
			$registry = new JRegistry;
			$registry->loadString($item->formparams);
			$item->formparams = $registry->toArray();
		}

		return $item;
	}

	protected function loadFormData()
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_saxumastro.edit.type.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		$this->preprocessData('com_saxumastro.type', $data);
		return $data;
	}
	
	static function getSigns($typeid)
    {		
		$db = jFactory::getDBO();
		$query = $db->getQuery(true);
		
		$query->select('a.*');
		$query->from('#__saxumastro_sign a');
			
		$query->select('d.date_from, d.date_to ');
		$query->join('INNER', '`#__saxumastro_dates` AS d ON a.id=d.signid');
		$query->where('a.typeid = '.(int) $typeid);
		$query->order('d.date_from ASC');
	
		$db->setQuery($query);
		$result = $db->loadObjectList();

		return $result;
    }
}
?>
