CREATE TABLE IF NOT EXISTS `#__saxumastro_type` (
     `id` int(11) NOT NULL auto_increment,
     `name` varchar(100) character set utf8 NOT NULL,
     `desc` text character set utf8 NOT NULL,
     `signtype` TINYINT NOT NULL DEFAULT '0',
     `published` tinyint(1) NOT NULL,   
	 `pmtype` varchar(30) character set utf8 NOT NULL DEFAULT 'free',
	 `amount` decimal(8,2) NOT NULL DEFAULT 0,
	 `currency` varchar(3) character set utf8 NOT NULL DEFAULT 'EUR',
	 `tax` decimal(8,2) NOT NULL DEFAULT 0,
	 `act_paid` TINYINT NOT NULL DEFAULT 0,
	 `admin_email` varchar(100) character set utf8, 
     `formparams` text character set utf8 NOT NULL DEFAULT '',  
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;

INSERT IGNORE INTO `#__saxumastro_type` VALUES
(1, 'Western astrology', '', 0, 1, 'free', 0, 'EUR', 0, 0, '', '');
     
CREATE TABLE IF NOT EXISTS `#__saxumastro_sign` (
     `id` int(11) NOT NULL auto_increment,
     `typeid` int(11) NOT NULL,
     `name` varchar(100) character set utf8 NOT NULL,
     `desc` text character set utf8 NOT NULL,
     `published` tinyint(1) NOT NULL,    
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;

INSERT IGNORE INTO `#__saxumastro_sign` VALUES
(1, 1, 'Aries','Reading for Aries',1),
(2, 1, 'Taurus','Reading for Taurus',1),
(3, 1, 'Gemini','Reading for Gemini',1),
(4, 1, 'Cancer','Reading for Cancer',1),
(5, 1, 'Leo','Reading for Leo',1),
(6, 1, 'Virgo','Reading for Virgo',1),
(7, 1, 'Libra','Reading for Libra',1),
(8, 1, 'Scorpio','Reading for Scorpio',1),
(9, 1, 'Sagittarius','Reading for Sagittarius',1),
(10, 1, 'Capricorn','Reading for Capricorn',1),
(11, 1, 'Aquarius','Reading for Aquarius',1),
(12, 1, 'Pisces','Reading for Pisces',1);

CREATE TABLE IF NOT EXISTS `#__saxumastro_dates` (
     `id` int(11) NOT NULL auto_increment,
     `number` int(11) NOT NULL,
     `signid` int(11) NOT NULL,
     `date_from` datetime NOT NULL,
     `date_to` datetime NOT NULL,    
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;
     
INSERT IGNORE INTO `#__saxumastro_dates` VALUES
(1, 1, 1, '1972-03-21 00:00:00', '1972-04-20 00:00:00'),
(2, 2, 2, '1972-04-21 00:00:00', '1972-05-20 00:00:00'),
(3, 3, 3, '1972-05-21 00:00:00', '1972-06-21 00:00:00'),
(4, 4, 4, '1972-06-22 00:00:00', '1972-07-22 00:00:00'),
(5, 5, 5, '1972-07-23 00:00:00', '1972-08-23 00:00:00'),
(6, 6, 6, '1972-08-24 00:00:00', '1972-09-22 00:00:00'),
(7, 7, 7, '1972-09-23 00:00:00', '1972-10-23 00:00:00'),
(8, 8, 8, '1972-10-24 00:00:00', '1972-11-22 00:00:00'),
(9, 9, 9, '1972-11-23 00:00:00', '1972-12-21 00:00:00'),
(10, 10, 10, '1972-12-22 00:00:00', '1973-01-20 00:00:00'),
(11, 11, 11, '1972-01-21 00:00:00', '1972-02-19 00:00:00'),
(12, 12, 12, '1972-02-20 00:00:00', '1972-03-20 00:00:00');

ALTER TABLE `#__saxumastro_sign` ADD `image` varchar(200) character set utf8 NOT NULL DEFAULT '' AFTER `name`;
UPDATE `#__saxumastro_sign` SET `image`=CONCAT('images/saxumastro/',`name`,'.png') WHERE `id`<=12;
     
CREATE TABLE IF NOT EXISTS `#__saxumastro_pairing` (
     `id` int(11) NOT NULL auto_increment,
     `typeid` int(11) NOT NULL,
     `signid1` int(11) NOT NULL,
     `signid2` int(11) NOT NULL,
     `desc` text character set utf8 NOT NULL,
     `published` tinyint(1) NOT NULL,    
     PRIMARY KEY (`id`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;
     
CREATE TABLE IF NOT EXISTS `#__saxumastro_saved_readings` (
     `id` int(11) NOT NULL auto_increment,
     `userid` int(11) NOT NULL,
     `tstamp` datetime NOT NULL,
     `title` varchar(200) character set utf8 NOT NULL, 
     `typeid` int(11) NOT NULL DEFAULT 0,
     `reading` mediumtext character set utf8, 
     `paymentid` varchar(30) character set utf8 NOT NULL DEFAULT '',
     `pmtype` varchar(30) character set utf8 NOT NULL DEFAULT 'free', 
     `add_info` text character set utf8, 
     `publicid` varchar(30) character set utf8 NOT NULL DEFAULT '',
     PRIMARY KEY (`id`),
	 INDEX idx_sasr_user( `userid` ),
	 INDEX idx_sasr_pmid( `paymentid` ),
	 INDEX idx_sasr_pcid(`publicid`)
     ) ENGINE=MyISAM AUTO_INCREMENT=1 ;