<?php
/**
 * $Id: date.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

class SaxumastroTableDate extends JTable
{
	var $id = 0;
	var $number = 0;
	var $signid = 0;
	var $date_from = null; 
	var $date_to = null;
	 
	function __construct(&$db)
 	{
    	parent::__construct( '#__saxumastro_dates', 'id', $db );
    }
    
    /**
     * Validation and filtering
     *
     * @return boolean True is satisfactory
     */
    function check()
    {	
    	$mainframe=JFactory::getApplication();	
    	
  		if (strtotime($this->date_to)<=strtotime($this->date_from)) $this->date_to=date('Y-m-d H:i:s', mktime(0,0,0,date('m',strtotime($this->date_to)),date('d',strtotime($this->date_to)),date('Y',strtotime($this->date_from))+1));
  	
    	$query = 'SELECT t.id, t.name, t.signtype'
			. ' FROM #__saxumastro_type t'
			. ' INNER JOIN #__saxumastro_sign s ON s.typeid=t.id'
			. ' WHERE s.id = '.$this->_db->Quote($this->signid);
		$this->_db->setQuery($query);
        $type=$this->_db->loadObjectList();
        
        $date_from=date( "Y-m-d",strtotime($this->date_from));
	    /*$mainframe->enqueueMessage('type: '.$type[0]->id.','.$type[0]->name.','.$type[0]->signtype, 'error');
	    $mainframe->enqueueMessage('id: '.$this->id, 'error');
	    $mainframe->enqueueMessage('from: '.$date_from, 'error');*/
        
        if ($type[0]->signtype==0) {
	        $query = 'SELECT min(date_from) m'
	        . ' FROM #__saxumastro_dates d'
	        . ' INNER JOIN #__saxumastro_sign s ON s.id=d.signid'
	        . ' WHERE typeid = '. $type[0]->id
	        ;
	        $this->_db->setQuery($query);
	        $mindate=$this->_db->loadObjectList();
	        
	    	//$mainframe->enqueueMessage('min: '.$mindate[0]->m, 'error');
	        if ($date_from<$mindate[0]->m){
	        	$date_from=date('Y-m-d H:i:s', mktime(0,0,0,date('m',strtotime($date_from)),date('d',strtotime($date_from)),date('Y',strtotime($date_from))+1));
	    		//$mainframe->enqueueMessage('from2: '.$date_from, 'error');
	        }
        }
        
        $query = 'SELECT d.id'
        . ' FROM #__saxumastro_dates d'
        . ' INNER JOIN #__saxumastro_sign s ON s.id=d.signid'
        . ' WHERE ' .$this->_db->Quote($date_from).' BETWEEN date_from AND date_to'
        . ' AND typeid = '. $type[0]->id
        ;
	    //$mainframe->enqueueMessage($query, 'error');
        
        $this->_db->setQuery( $query );
        $xid = intval( $this->_db->loadResult() );
	    //$mainframe->enqueueMessage('xid: '.$xid, 'error');
        
        if ($xid!=null){
	        $query = 'SELECT s.name,d.date_from,d.date_to '
	        . ' FROM #__saxumastro_dates d'
	        . ' INNER JOIN #__saxumastro_sign s ON s.id=d.signid'
	        . ' WHERE d.id=' . $xid
	        ;
			$this->_db->setQuery($query);
	        $sign=$this->_db->loadObjectList();
	        
	        if ($type[0]->signtype==0) {
	        	$msg=JText::_('COM_SAXUMASTRO_OVERLAPPING_INTERVALS').': '.date('m.d',strtotime($this->date_from)).' - '
	        		.$sign[0]->name.' '.date('m.d',strtotime($sign[0]->date_from)).'-'.date('m.d',strtotime($sign[0]->date_to));
	        }else{
	        	$msg=JText::_('COM_SAXUMASTRO_OVERLAPPING_INTERVALS').': '.date('Y.m.d',strtotime($this->date_from)).' - '
	        		.$sign[0]->name.' '.date('Y.m.d',strtotime($sign[0]->date_from)).'-'.date('Y.m.d',strtotime($sign[0]->date_to));
	        }
	        	
	        if ($xid && $xid != intval( $this->id )) {
	            $mainframe->enqueueMessage($msg, 'error');
	           // return false;
	        }
        }
	            
        $query = 'SELECT d.id'
        . ' FROM #__saxumastro_dates d'
        . ' INNER JOIN #__saxumastro_sign s ON s.id=d.signid'
        . ' WHERE ' . $this->_db->Quote(date( "Y-m-d",strtotime($this->date_to))).' BETWEEN date_from AND date_to'
        . ' AND typeid = '. $type[0]->id
        ;
        
        $this->_db->setQuery( $query );
        $yid = intval( $this->_db->loadResult() );
        
        if ($yid!=null){
	        $query = 'SELECT s.name,d.date_from,d.date_to '
	        . ' FROM #__saxumastro_dates d'
	        . ' INNER JOIN #__saxumastro_sign s ON s.id=d.signid'
	        . ' WHERE d.id=' . $yid
	        ;
			$this->_db->setQuery($query);
	        $sign=$this->_db->loadObjectList();
	            
	        if ($type[0]->signtype==0) {
	        	$msg=JText::_('COM_SAXUMASTRO_OVERLAPPING_INTERVALS').': '.date('m.d',strtotime($this->date_to)).' - '
	        		.$sign[0]->name.' '.date('m.d',strtotime($sign[0]->date_from)).'-'.date('m.d',strtotime($sign[0]->date_to));
	        }else{
	        	$msg=JText::_('COM_SAXUMASTRO_OVERLAPPING_INTERVALS').': '.date('Y.m.d',strtotime($this->date_to)).' - '
	        		.$sign[0]->name.' '.date('Y.m.d',strtotime($sign[0]->date_from)).'-'.date('Y.m.d',strtotime($sign[0]->date_to));
	        }
	        
	        if ($yid && $yid != intval( $this->id )) {
	            $mainframe->enqueueMessage($msg, 'error');
	           // return false;
	        }
        }
	 
        if ($xid && $xid != intval( $this->id ) || $yid && $yid != intval( $this->id )) {
        	return false;	
        }
        return true;
    }
}
