<?php
/**
 * $Id: view.html.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumastroViewDate extends JViewLegacy
{

	public function display($tpl = null) 
	{
		// get the Data
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');
		$this->script	= $this->get('Script');
		$isNew = ($this->item->id == 0);
		   
		$post=JRequest::get( 'post' );
	    if ($this->item->signid!=null && empty($post)) {
	    	$type=SaxumastroModelDate::getType($this->item->signid);
	    	$typeid=$type[0]->id;
	    	$this->item->typeid=$type[0]->id;
	    } else {
	    	if (!empty($post)){
		    	$typeid = $post['jform']['typeid'];
		    	$this->item->typeid=$post['jform']['typeid'];
	    	} else {
	    		$typeid=0;
	    	}
	    }
	    
		$this->type		= SaxumastroModelDate::getTypeById($typeid);
		
		if ($isNew && $typeid==0) {
			$this->form = $this->get('FormSelectType');
			$this->addToolBarSelectType();
		} else {
			$this->form = $this->get('Form');
			$this->addToolBar();
		}
 
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
  
		// Display the template
		parent::display($tpl);
 
		// Set the document
		$this->setDocument();
	}
	
	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
		JHtml::stylesheet( 'administrator/components/com_saxumastro/saxumastro.css'  );
		JFactory::getApplication()->input->set('hidemainmenu', true);
		$referer= $_SERVER['HTTP_REFERER'];
		
		$user = JFactory::getUser();
		$isNew = ($this->item->id == 0);
		$canDo = SaxumastroController::getActions();
		JToolBarHelper::title($isNew ? JText::_( 'COM_SAXUMASTRO' ).' - '.JText::_('COM_SAXUMASTRO_DATE_NEW') : JText::_( 'COM_SAXUMASTRO' ).' - '.JText::_('COM_SAXUMASTRO_DATE_EDIT'), 'calendar.png');
		if ($isNew) JToolBarHelper::back();
		if (strpos($referer, 'sign')==true) JToolBarHelper::back();
		if ($isNew && $canDo->get('core.create')) 
		{
			JToolBarHelper::apply('date.apply');
			JToolBarHelper::save('date.save');
			JToolBarHelper::custom('date.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
		}
		else
		{
			if($canDo->get('core.edit'))	
			{
				JToolBarHelper::apply('date.apply');
				JToolBarHelper::save('date.save');
			}
			if($canDo->get('core.create'))	
			{
				JToolBarHelper::custom('date.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
				JToolBarHelper::custom('date.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
			}
		}
		JToolBarHelper::cancel('date.cancel', $isNew ? 'JTOOLBAR_CANCEL'
		                                                   : 'JTOOLBAR_CLOSE');
	}
	
	protected function addToolBarSelectType() 
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);
		$isNew = ($this->item->id == 0);
		JHtml::stylesheet( 'administrator/components/com_saxumastro/saxumastro.css'  );
		JToolBarHelper::title($isNew ? JText::_( 'COM_SAXUMASTRO' ).' - '.JText::_('COM_SAXUMASTRO_DATE_NEW') : JText::_( 'COM_SAXUMASTRO' ).' - '.JText::_('COM_SAXUMASTRO_DATE_EDIT'), 'calendar.png');
		JToolBarHelper::custom('date','forward.png','forward.png','Next',false);
		JToolBarHelper::cancel('date.cancel', $isNew ? 'JTOOLBAR_CANCEL'
		                                                   : 'JTOOLBAR_CLOSE');
	}

	protected function setDocument() 
	{
		$isNew = ($this->item->id < 1);
		$document = JFactory::getDocument();
		$document->addScript(JURI::root() . $this->script);
		$document->addScript(JURI::root() . "/administrator/components/com_saxumastro"
		                                  . "/views/date/submitbutton.js");
		JText::script('COM_SAXUMASTRO_DATE_ERROR_UNACCEPTABLE');
	}
}
?>

