<?php
/**
 * $Id: view.html.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumastroViewSigns extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $state;
	
	function display($tpl = null)
	{
		// Get data from the model
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->types		= $this->get('Types');
		SaxumastroController::addSubmenu('signs');
	
        $this->sortDirection = $this->state->get('list.direction');
        $this->sortColumn = $this->state->get('list.ordering');
	
		// Check for errors.
		if (count($errors = $this->get('Errors'))) 
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}
		
		// Set the toolbar
		$this->addToolBar();
		$this->sidebar = JHtmlSidebar::render();
		 
		// Display the template
		parent::display($tpl);
	}

	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
		$canDo = SaxumastroController::getActions();
		JHtml::stylesheet( 'administrator/components/com_saxumastro/saxumastro.css'  );
		JToolBarHelper::title(JText::_( 'COM_SAXUMASTRO' ).' - '.JText::_('COM_SAXUMASTRO_SIGNS'),'sign.png');
		if ($canDo->get('core.create')) 
		{
			JToolBarHelper::addNew('sign.add');
		}
		if ($canDo->get('core.edit')) 
		{
			JToolBarHelper::editList('sign.edit');
		}
		if ($canDo->get('core.edit.state') or $canDo->get('core.delete')) 
		{
			JToolBarHelper::divider();
		}
		if ($canDo->get('core.edit.state'))
		{
			JToolBarHelper::publish('signs.publish', 'JTOOLBAR_PUBLISH',true);
			JToolBarHelper::unpublish('signs.unpublish', 'JTOOLBAR_UNPUBLISH',true);
		}
		if ($canDo->get('core.delete')) 
		{
			JToolBarHelper::deleteList('', 'signs.delete');
		}
		
		JHtmlSidebar::setAction('index.php?option=com_saxumastro&view=signs');
		
		JHtmlSidebar::addFilter(
			JText::_('COM_SAXUMASTRO_SELECT_TYPE'),
			'filter_typeid',
			JHtml::_('select.options', $this->types, 'id', 'typename', $this->state->get('filter.typeid'), true)
		);
		JHtmlSidebar::addFilter(
			JText::_('JOPTION_SELECT_PUBLISHED'),
			'filter_published',
			JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.published'), true)
		);
	}	
	
	protected function getSortFields()
	{
		return array(
			'a.id' => JText::_('JGRID_HEADING_ID'),
			'typename' => JText::_('COM_SAXUMASTRO_TYPE'),
			'a.name' => JText::_('COM_SAXUMASTRO_NAME'),
			'a.published' => JText::_('JSTATUS')
		);
	}
	
}
?>
