<?php
/**
 * $Id: view.html.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumastroViewType extends JViewLegacy
{

	public function display($tpl = null) 
	{
		// get the Data
		$this->form		= $this->get('Form');
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');
		$this->signs	= SaxumastroModelType::getSigns($this->item->id);
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
 
		// Set the toolbar
		$this->addToolBar();
 
		// Display the template
		parent::display($tpl);
	}
	
	/**
	 * Setting the toolbar
	 */
	protected function addToolBar() 
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);
		$user = JFactory::getUser();
		$isNew = ($this->item->id == 0);
		$canDo = SaxumastroController::getActions();
		JHtml::stylesheet( 'administrator/components/com_saxumastro/saxumastro.css'  );
		JToolBarHelper::title($isNew ? JText::_( 'COM_SAXUMASTRO' ).' - '.JText::_('COM_SAXUMASTRO_TYPE_NEW') : JText::_( 'COM_SAXUMASTRO' ).' - '.JText::_('COM_SAXUMASTRO_TYPE_EDIT'), 'type.png');
		if ($isNew && $canDo->get('core.create')) 
		{
			JToolBarHelper::apply('type.apply');
			JToolBarHelper::save('type.save');
			JToolBarHelper::custom('type.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
		}
		else
		{
			if($canDo->get('core.edit'))	
			{
				JToolBarHelper::apply('type.apply');
				JToolBarHelper::save('type.save');
			}
			if($canDo->get('core.create'))	
			{
				JToolBarHelper::custom('type.save2new', 'save-new.png', 'save-new_f2.png', 'JTOOLBAR_SAVE_AND_NEW', false);
				JToolBarHelper::custom('type.save2copy', 'save-copy.png', 'save-copy_f2.png', 'JTOOLBAR_SAVE_AS_COPY', false);
			}
		}
		JToolBarHelper::cancel('type.cancel', $isNew ? 'JTOOLBAR_CANCEL'
		                                                   : 'JTOOLBAR_CLOSE');
	}
}
?>

