<?php
/**
 * $Id: pairing.php 52 2014-07-07 12:17:31Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.model');

class SaxumastroModelPairing extends JModelLegacy
{	
	function _getItemQuery( &$options )
	{
		// Create a new query object.		
		$db = $this->getDBO();
		$query = $db->getQuery(true);
		// Select some fields
		$query->select('t.name AS typename');
		$query->from('#__saxumastro_type t');
		$query->select('s1.name AS sign1, s1.id AS sign1id');
		$query->join('INNER', '`#__saxumastro_sign` AS s1 ');
		$query->select('s2.name AS sign2, s2.id AS sign2id');
		$query->join('INNER', '`#__saxumastro_sign` AS s2 ');
		$query->select(	'a.*');
		$query->join('LEFT', '`#__saxumastro_pairing` AS a ON a.typeid=t.id AND a.signid1=s1.id AND a.signid2=s2.id');
		
		$query->where('t.id = '.(int) $options['typeid']);
		
		$query->where('(s1.id = '.(int) $options['signid'] .' AND s2.id = '.(int) $options['signid2'].
					//'OR s1.id = '.(int) $options['signid2'].' AND s2.id = '.(int) $options['signid'].
					')');
		
		return $query;
	}
	
	function getItem( $options=array() )
	{
		$query	= $this->_getItemQuery( $options );
		$this->_db->setQuery($query);
		$this->_data = $this->_db->loadObject();      
		if (!$this->_data) {
	         $this->_data = new stdClass();
	         $this->_data->id = 0;
	         $this->_data->name = null;
	         $this->_data->desc = null;
	      }
		return $this->_data;
	}
	
	function _getTypeQuery( $id )
	{
		$query = ' SELECT t.*'
			. ' FROM #__saxumastro_type t'
			. ' WHERE t.id='.$id
			;

		return $query;
	}

	function getType( $id )
	{
		$query	= $this->_getTypeQuery( $id );
		$result = $this->_getList( $query );
		return @$result;
	}

	function _getDateMin($type){
		// Create a new query object.		
		$db = $this->getDBO();
		$query = $db->getQuery(true);
		
		$query->select('MIN(d.date_from) as mindate');
		$query->from('#__saxumastro_sign s');
		$query->join('INNER','#__saxumastro_dates d ON s.id=d.signid'); 
		$query->where('s.typeid='.$type);
		
		$result = $this->_getList( $query );
		return @$result;
	}
	
	function getSignId( &$options,$num )
	{
		$date_min=$this->_getDateMin($options['typeid']);
		
		if (strtotime($options[$num])<strtotime($date_min[0]->mindate)) {
			$options[$num]=date( 'Y-m-d H:i:s',mktime(0,0,0,date('m',strtotime($options[$num])),date('d',strtotime($options[$num])),date('Y',strtotime($options[$num]))+1));	
		}
		// Create a new query object.		
		$db = $this->getDBO();
		$query = $db->getQuery(true);
		
		$query->select('s.id');
		$query->from('#__saxumastro_sign s');
		$query->join('INNER','#__saxumastro_dates d ON s.id=d.signid'); 
		$query->where('s.typeid='.$options['typeid']);
		$query->where('date(\''.$options[$num].'\') BETWEEN date(d.date_from) AND date(d.date_to)');
		
		$result = $this->_getList( $query );
		return $result[0]->id;
	}
}