<?php
/**
 * $Id: router.php 200 2016-07-27 20:01:16Z Szablac $
 * @Project		Saxum Picker Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Picker
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/
defined('_JEXEC') or die('Restricted access'); 

jimport('joomla.application.categories');

function SaxumastroBuildRoute( &$query )
{
	$app = JFactory::getApplication ();
	$config = JFactory::getConfig ();
	static $appSuffix;
	if ($appSuffix) {
		$config->set ( 'sef_suffix', $appSuffix );
	}
    $segments = array();
    if(isset($query['view']))
    {
        $segments[] = $query['view'];
        unset( $query['view'] );
    }
    if(isset($query['signid']))
    {
        $segments[] = $query['signid'];
        unset( $query['signid'] );
    };
    if(isset($query['id']))
    {
        $segments[] = $query['id'];
        unset( $query['id'] );
    };
    if(isset($query['typeid']))
    {
    	$segments[] = $query['typeid'];
        unset( $query['typeid'] );
    };
       
	// UNSET FORMAT
	if (isset ( $query ['format'] )) {
		// Assign and unset
		$segments [] = $query ['format'];
		//unset ( $query ['format'] );
		
		// Manage XML/NOT HTML JDocument format if detected
		$appSuffix = $config->get ( 'sef_suffix' );
		$config->set ( 'sef_suffix', false );
		
		// Manage suffix for backend routing executing site application
		if ($app->getClientId () == 1 && $componentParams->get ( 'sitemap_links_sef', false )) {
			$siteApplication = JApplication::getInstance ( 'site' );
			if (method_exists ( $siteApplication, 'set' )) {
				$siteApplication->set ( 'sef_suffix', false );
			}
		}
	};
    
	return $segments;
}

function SaxumastroParseRoute( $segments )
{
       $vars = array();
       switch($segments[0])
       {
			case 'selector':
				$vars['view'] = 'selector';
				$typeid = explode( ':', $segments[1] );
				$vars['typeid'] = (int) $typeid[0];
				break;
			case 'signpicker':
				$vars['view'] = 'signpicker';
				$typeid = explode( ':', $segments[1] );
				$vars['typeid'] = (int) $typeid[0];
				break;
			case 'interpret':
				$vars['view'] = 'interpret';
				if(isset($segments[1]) && !is_numeric($segments[1])) $vars['format'] = $segments[1];
				
				if (count($segments)>2 && is_numeric($segments[1])){
					$typeid = explode( ':', $segments[2] );
					$signid = explode( ':', $segments[1] );
					$vars['typeid'] = (int) $typeid[0];
					$vars['signid'] = (int) $signid[0];
				}
				break;
			case 'savedreadings':
				$vars['view'] = 'savedreadings';
				break;
			case 'savedreading':
				$vars['view'] = 'savedreading';
				$id = explode( ':', $segments[1] );
				$vars['id'] = (int) $id[0];
				break;
			case 'pairing':
				$vars['view'] = 'pairing';
				if(isset($segments[1])) $vars['format'] = $segments[1];
				break;
			default: 
				$vars['view'] = $segments[0];
				break;
       }
       return $vars;
}
?>