<?php
/**
 * $Id: view.html.php 109 2015-05-18 07:53:06Z Szablac $
 * @Project		Saxum Astro Extension/Component
 * @author 		Laszlo Szabo
 * @package		Saxum Astro
 * @copyright	Copyright (C) 2010 Saxum 2003 Bt. All rights reserved.
 * @license 	http://www.gnu.org/licenses/old-licenses/gpl-3.0.html GNU/GPL version 3
*/

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class SaxumastroViewSelector extends JViewLegacy
{
	function display($tpl = null)
	{	
		$mainframe	= JFactory::getApplication();
		$dispatcher	= JDispatcher::getInstance();
		JPluginHelper::importPlugin('content');
		$params		= $mainframe->getParams('com_content');

		$user		= JFactory::getUser();
		$pathway	= $mainframe->getPathway();
		$document	= JFactory::getDocument();

		// Get the parameters of the active menu item
		$menus	= $mainframe->getMenu();
		$menu    = $menus->getActive();
		
		$Itemid = JRequest::getInt('Itemid',0);
		$typeid = JRequest::getInt('typeid',0);
		$mode = JRequest::getInt('mode',0);
		$pparams = $mainframe->getPageParameters('com_saxumastro');
		$check['l']	= SaxumastroController::render();

		// Push a model into the view
		$model		= $this->getModel();

		// query options
		$options['typeid']	= $typeid;

		$item	= $model->getItem( $options );
		$type	= $model->getType($typeid);

		// get list of Months for dropdown filter
		$months[] = JHTML::_('select.option', '1', JText::_('January'));
		$months[] = JHTML::_('select.option', '2', JText::_('February'));
		$months[] = JHTML::_('select.option', '3', JText::_('March'));
		$months[] = JHTML::_('select.option', '4', JText::_('April'));
		$months[] = JHTML::_('select.option', '5', JText::_('May'));
		$months[] = JHTML::_('select.option', '6', JText::_('June'));
		$months[] = JHTML::_('select.option', '7', JText::_('July'));
		$months[] = JHTML::_('select.option', '8', JText::_('August'));
		$months[] = JHTML::_('select.option', '9', JText::_('September'));
		$months[] = JHTML::_('select.option','10', JText::_('October'));
		$months[] = JHTML::_('select.option','11', JText::_('November'));
		$months[] = JHTML::_('select.option','12', JText::_('December'));
		
		$s=1940;
		if (is_numeric($pparams->get('start_year'))) $s=$pparams->get('start_year');
		$e=2020;
		if (is_numeric($pparams->get('end_year'))) $e=$pparams->get('end_year');
		
		$lists['month1'] = JHTML::_('select.genericlist', $months, 'month1', 'class="inputbox" size="1" onChange="monthChange(\'submit\',1)"', 'value', 'text', 1 );
		$lists['day1'] = JHTML::_('select.integerlist', 1, 31, 1, 'day1', 'id="day1" class="inputbox" size="1" onChange="dayChange(\'submit\',1)"', 1 );
		$lists['year1'] = JHTML::_('select.integerlist', $s, $e, 1, 'year', 'id="year1" class="inputbox" size="1" onChange="monthChange(\'submit\',1)"', 1972 );
			    
		$lists['month2'] = JHTML::_('select.genericlist', $months, 'month2', 'class="inputbox" size="1" onChange="monthChange(\'submit\',2)"', 'value', 'text', 1 );
		$lists['day2'] = JHTML::_('select.integerlist', 1, 31, 1, 'day2', 'id="day2" class="inputbox" size="1" onChange="dayChange(\'submit\',2)"', 1 );
		$lists['year2'] = JHTML::_('select.integerlist', $s, $e, 1, 'year', 'id="year2" class="inputbox" size="1" onChange="monthChange(\'submit\',2)"', 1972 );
			    
		// get list of Signs for dropdown filter
		foreach( $model->getSignlist($typeid) as $obj )
		{
			$signlist[] = JHTML::_('select.option',  $obj->value, $obj->text  );
		}
		$lists['signlist'] 	= JHTML::_('select.genericlist',   $signlist, 'signid', 'class="inputbox" size="1"', 'value', 'text');
		$lists['signlist2'] 	= JHTML::_('select.genericlist',   $signlist, 'signid2', 'class="inputbox" size="1"', 'value', 'text');
		
		$type[0]->text=$type[0]->desc;
		$type[0]->introtext='';
		$type[0]->fulltext=$type[0]->desc;
		$type[0]->catid=0;
		$type[0]->sectionid=0;
		$results = $dispatcher->trigger('onPrepareContent', array (& $type[0], & $params, 1));
		
		$this->assignRef('Itemid',	$Itemid);		
		$this->assignRef('item',	$item);		
		$this->assignRef('params',	$pparams);
		$this->assignRef('check',	$check);
		$this->assignRef('type',	$type);
		$this->assignRef('mode',	$mode);
		$this->assignRef('lists',	$lists);

		parent::display($tpl);
	}	
}
?>